#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EClientReportingVersion {
    OldVersion = 0,
    BetaVersion = 1,
    SupportsTrustedMode = 2,
}

impl EClientReportingVersion {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::OldVersion as i32 => Some(Self::OldVersion),
            x if x == Self::BetaVersion as i32 => Some(Self::BetaVersion),
            x if x == Self::SupportsTrustedMode as i32 => Some(Self::SupportsTrustedMode),
            _ => None,
        }
    }
}
